# Jovian Static generated Website

Jovian portfolio and resume

## Test locally

### Check the generated code source

```sh
make build
```

Look at the `*.gen.*` files to check the generated code.

### Deploy on local apache

You may need to manually start apache first with `service apache2 start`.

```sh
DIST_DIR=/var/www/html make -e install
```

Check your work [on local apache server](http://localhost).

You can set your custom env vars in a `.env.local` file and injecting them with the `source` command. See [example.env.local](example.env.local) to see the useful vars to implement.

```sh
source .env.local
make -e install
```

## Deploy to prod

### Branching

Merge your branch into the master branch and deploy from `master`.

### Tag

Retrieve the last version with `git describe`.

Increment the version number `vX.Y.Z` :

- Increment X for breaking change (like new tech) ;
- Increment Y when new content is added (sections, pages) ;
- Increment Z when you patched something (misprint, correction, minor updates).

Use a annotated tag with `git tag -a vX.Y.Z`.

You can deploy on local apache before pushing your code to production.

### Put into production

Run `undeployed/scripts/deploy-to-ovh.sh`

